Name: usbip-utils
Version: 1.0.1
Release: 2%{?dist}
Summary: Utility applications for usbip.

Group: System Environment/Base	
License: GPLv2	
URL: http://www.kernel.org
BuildRequires: sysfsutils autoconf automake libtool libsysfs-devel
BuildRequires: libudev-devel
ExclusiveArch: x86_64

# Sources
Source0: usbip-%{version}.tar.gz
Source1: usbip.h

# Patches
Patch1: usbip_common_h.patch

%description
The %{name} package contains utilities for usbip and usbipd

%prep
%setup -q -n usbip-%{version}
%patch1 -p1

%build
%{__cp} %{SOURCE1} userspace/libsrc/
pushd userspace
./autogen.sh
## %configure --with-tcp-wrappers=no --with-usbids-dir=/
%configure
%{__make} -s %{?_smp_mflags}
popd

%install
%{__rm} -rf %{buildroot}
pushd userspace
%{__make} -s install DESTDIR="%{buildroot}"
%{__mkdir_p} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -m 644 COPYING %{buildroot}%{_docdir}/%{name}-%{version}/
%{__install} -m 644 AUTHORS %{buildroot}%{_docdir}/%{name}-%{version}/
%{__install} -m 644 INSTALL %{buildroot}%{_docdir}/%{name}-%{version}/
%{__install} -m 644 README %{buildroot}%{_docdir}/%{name}-%{version}/
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/
## %doc COPYING README AUTHORS INSTALL
%doc %{_mandir}/man8/usbip.8.gz
%doc %{_mandir}/man8/usbipd.8.gz
%dir %{_includedir}/usbip/
%{_includedir}/usbip/usbip_common.h
%{_includedir}/usbip/usbip_host_driver.h
%{_includedir}/usbip/vhci_driver.h
%{_libdir}/libusbip.a
%{_libdir}/libusbip.la
%{_libdir}/libusbip.so
%{_libdir}/libusbip.so.0
%{_libdir}/libusbip.so.0.0.1
%{_sbindir}/usbip
%{_sbindir}/usbipd

%changelog
* Tue May 01 2018 Philip J Perry <phil@elrepo.org> - 1.0.1-2
- Update to kernel 3.18.107
- Fixes CVE-2017-16911, CVE-2017-16912, CVE-2017-16913, CVE-2017-16914
- [http://elrepo.org/bugs/view.php?id=845]

* Thu Nov 23 2017 Akemi Yagi <toracat@elrepo.org> - 1.0.1-1
- Updated to the code from kernel 3.18.83
- Initial build for EL7

* Fri Dec 13 2013 Alan Bartlett <ajb@elrepo.org> - 1.0.0-2
- Incremented the release so that it remains
- in synchronisation with the kmod pacakge.

* Sun Dec 08 2013 Alan Bartlett <ajb@elrepo.org> - 1.0.0-1
- Reversioned to agree with the kmod package
- and to use a common tarball.

* Tue Nov 19 2013 Akemi Yagi <toracat@elrepo.org> - 0.0-1
-Initial package for ELRepo.
